import 'package:flutter/material.dart';
import 'package:sk_base_mobile/config.dart';
import 'package:sk_base_mobile/util/device.util.dart';
import 'package:sk_base_mobile/util/screen_adaper_util.dart';
import 'package:sk_base_mobile/widgets/core/sk_ink.dart';

class CustomContactIcon extends StatelessWidget {
  const CustomContactIcon({super.key});

  @override
  Widget build(BuildContext context) {
    return SkInk(
        onTap: () {
          DeviceUtil.callPhone(GloablConfig.SUPPORT_PHONE);
        },
        child: Image(
            height: ScreenAdaper.height(70),
            image: AssetImage('assets/icons/help_desk.png')));
  }
}
